    #include<bits/stdc++.h>
    using namespace std;
    string s;
    int main()
    {
        cin.tie(NULL);
        cout.tie(NULL);
        long long n,BrNechetni=0;
        cin>>n;
        for(long long i=0; i<=n; i++)
        {
            getline(cin,s);
        }
        cout<<01010;
        /*for(long long i=4;i<n;i++){
            cout<<1;
        }
        */





        return 0;
    }

